Commit Graph

151 Commits (093efc77ef7aa038cad8e41343a3db278542a0c3)
 

Author SHA1 Message Date
cn 093efc77ef gem: add editorconfig
3 years ago
depfu[bot] 2368099f7d
gems: upgrade jaeger-client to version 1.0.0
3 years ago
depfu[bot] 708cd13237
gems: update rubocop to version 0.89.0
3 years ago
cn a89a263250 docs: add example Dockerfile
3 years ago
cn af102f23ec release: 3.0.0
3 years ago
depfu[bot] 950c985ad1
gems: update rubocop to version 0.88.0
3 years ago
cn b2d9b7745f gem: bump minimum required Ruby version to Ruby 2.5
3 years ago
cn 09aa2b127c release: 2.3.1
3 years ago
cn 618b2c823d dyndnsd: remove noisy message by not redundantly logging on shutdown
3 years ago
cn ae62744cc9 release: 2.3.0
3 years ago
cn 3a9c2d65fb updater: add zone_transfer_server updater
3 years ago
cn 8976ff5bbe dyndnsd: allow enabling debug logging
3 years ago
cn 0c4c38cc6b dyndnsd: allow updater to see if database changed
3 years ago
cn 0cec44893d updater: improve parameter name
3 years ago
depfu[bot] 33b8325a92
gems: update bundler-audit to version 0.7.0.1
3 years ago
depfu[bot] 186c79814f
gems: update rubocop to version 0.81.0
3 years ago
Sam Umbach cb3977b553
docs: fix minor typos in README
3 years ago
cn c112b211a0 release: 2.2.0
3 years ago
cn b597ecb15e gem: adopt frozen string literals
3 years ago
cn c73c09f311 gem: refactor gemspec, exclude tests from gem, move binaries to ./exe
3 years ago
cn 88133edc1a gems: fix order, drop unnecessary json dependency
3 years ago
cn 9dfafd7e8d release: 2.1.1
3 years ago
cn af5e4ca3e0 dyndnsd: handle potential nil cases detected by sorbet
3 years ago
cn 0317189057 release: 2.1.0
3 years ago
cn 73dbf2a5fa gem: add solargraph support
3 years ago
cn 6d0457d70c gems: specify bundler-audit version
3 years ago
cn 9ab080072f updater: rename parameter to match expected type
3 years ago
cn fdcd6e8da4 gem: add Ruby 2.7 support
3 years ago
cn 31be09c1c2 travis: fix build config validation problems
3 years ago
cn 3406e22588 gem: enable new rubocop rules, cleanup
3 years ago
depfu[bot] a42a864f56
gems: update rubocop to version 0.80.0
3 years ago
depfu[bot] 07fd8681e4 gems: update rubocop to version 0.79.0
3 years ago
depfu[bot] 6831744e7b gems: update rubocop to version 0.78.0
3 years ago
depfu[bot] 7d49b861fc gems: update rubocop to version 0.77.0
3 years ago
depfu[bot] 2ad816b866 gems: update rubocop to version 0.76.0
3 years ago
depfu[bot] f4f10c94c4 gems: update rubocop to version 0.75.0
3 years ago
depfu[bot] bb7302407a gems: update rubocop to version 0.74.0
4 years ago
depfu[bot] 9f132b4a7d gems: update rubocop to version 0.73.0
4 years ago
depfu[bot] 32d6d01d9d gems: update rubocop to version 0.72.0
4 years ago
depfu[bot] 9d80220d24 gems: update rubocop to version 0.71.0
4 years ago
depfu[bot] b00aa0e464 gems: update rubocop to version 0.70.0
4 years ago
depfu[bot] a55d882d4d gems: update rubocop to version 0.69.0
4 years ago
depfu[bot] aa5de52f4d gems: update rubocop to version 0.68.0
4 years ago
depfu[bot] ee56fe8d07 gems: update rubocop to version 0.66.0
4 years ago
depfu[bot] 051d561700 gems: update rubocop to version 0.65.0
4 years ago
depfu[bot] ccaa39e871 gems: update rubocop to version 0.64.0
4 years ago
depfu[bot] b69aa6dc5b gems: update rack-tracer to version 0.9.0
4 years ago
cn 7a03415dd9 release: 2.0.0
4 years ago
cn 77914c42e1 gem: do not restrict Bundler version anymore since bundle-audit 0.6.1 is Bundler 2 compatible now
4 years ago
depfu[bot] a9d1cc644a gems: update rubocop to version 0.63.0
4 years ago